### File

`packages/ecl/components/ecl-sticky-container/ecl-sticky-container.component.ts`

### Description

This is a component, that has fixed position on the screen. It is a wrapper for other components, when their position needs to be fixed. For example it is used in the 'ecl-inpage-navigation'.

### Extends

`ECLBaseDirective`

### Implements

`OnDestroy`

### Metadata

selector | `ecl-sticky-container`
styles | `:host { display: block; align-self: flex-start; top: 0; position: sticky; position: -webkit-sticky; } :host.ecl-sticky-container--disabled { position: static; }`
templateUrl | `./ecl-sticky-container.component.html`

### Index

###### Methods
getCssClasses
###### Inputs
isEnabled marginBottom marginTop class e2eAttr tabindex
###### HostBindings
class style.bottom.px style.top.px
###### Accessors
cssClasses top bottom

### Constructor

`constructor()`

### Inputs

isEnabled
Type : `boolean`
Default value : `true`
This property gives the option to disable ti default behaviour, when value os 'false'.

marginBottom
Type : `number`
Default value : `0`
Sets the 'botom' style property.

marginTop
Type : `number`
Default value : `0`
Sets the 'top' style property.

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`

style.bottom.px
Type : `number`

style.top.px
Type : `number`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Accessors

cssClasses
get `cssClasses()`

top
get `top()`

bottom
get `bottom()`

# results matching ""

# No results matching ""